﻿ package {
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;

	public class GraphicInterface extends Sprite {
		private var particles:Array;
		private var particleMC:Sprite;

		private var c1:Controller;
		private var c2:Controller;

		private var cercle1:Sprite;
		private var cercle2:Sprite;
		private var cercle3:Sprite;


		public function GraphicInterface() {
			addEventListener(Event.ADDED_TO_STAGE,added_handler);
		}
		public function added_handler(e:Event):void {
			c1=new Controller(20);
			c1.x=25;
			c1.y=25;
			addChild(c1);
			c2=new Controller(20);
			c2.x=575;
			c2.y=25;
			addChild(c2);

			cercle1 = new Sprite();
			cercle1.x=300;
			cercle1.y=300;
			cercle1.graphics.lineStyle(10,0xfffff1,.5);
			cercle1.graphics.drawCircle(0,0,200);
			cercle1.graphics.endFill();
			addChild(cercle1);

			cercle2 = new Sprite();
			cercle2.x=300;
			cercle2.y=300;
			cercle2.graphics.lineStyle(10,0xfffff1,.7);
			cercle2.graphics.drawCircle(0,0,160);
			cercle1.graphics.endFill();
			addChild(cercle2);


			cercle3 = new Sprite();
			cercle3.x=300;
			cercle3.y=300;
			cercle3.graphics.lineStyle(10,0xfffff1,.9);
			cercle3.graphics.drawCircle(0,0,120);
			cercle3.graphics.endFill();
			addChild(cercle3);





			addEventListener(Event.ENTER_FRAME,onEnterFrame);
		}
		private function onEnterFrame(e:Event):void {

			cercle1.rotationY += c1.controller_value()/Math.cos(180);
			cercle1.rotationX += c1.controller_value()/100;
			cercle2.rotationY -= c1.controller_value()*2/Math.cos(120);
			cercle2.rotationX -= c1.controller_value()*2/100;
			cercle3.rotationY -= c1.controller_value()*3/Math.cos(60);
			cercle3.rotationX -= c1.controller_value()*3/100;
			
			cercle1.z -= c2.controller_value()/10;
			cercle2.z -= c2.controller_value()/7.5;
			cercle3.z -= c2.controller_value()/5.0;

			if(cercle1.z<-400){
				cercle1.z = -400;
				cercle2.z = -300;
				cercle3.z = -200;
				
				}

			trace(cercle1.z);


			/*cercle_1.rotationY+=c1.controller_value()/Math.cos(180);
			cercle_1.rotationX-=c1.controller_value()/100;
			cercle_2.rotationY+=c1.controller_value()/Math.cos(120);
			cercle_2.rotationX-=c1.controller_value()/100;
			cercle_3.rotationY+=c1.controller_value()/Math.cos(60);
			cercle_3.rotationX-=c1.controller_value()/100;
			
			cercle_1.scaleX=c2.controller_value()/100;
			cercle_2.scaleX=c2.controller_value()/80;
			cercle_3.scaleX=c2.controller_value()/60;*/



		}
	}
}
import flash.display.Sprite;
import flash.events.MouseEvent;
import flash.events.EventDispatcher;
import flash.events.Event;
class Controller extends Sprite {
	private var line:Sprite = new Sprite();
	public static var dispatcher:EventDispatcher;
	public function Controller(size:Number) {
		dispatcher = new EventDispatcher();
		graphics.beginFill(0xffffff,.01);
		graphics.lineStyle(1,0xfffff1,1);
		graphics.drawCircle(0,0,size);
		graphics.endFill();
		line.graphics.beginFill(0xffffff,1);
		line.graphics.drawRect(0,0,size,1);
		line.graphics.endFill();
		addChild(line);
		addEventListener(MouseEvent.MOUSE_DOWN,down_handler);
	}
	private function down_handler(e:MouseEvent):void {
		addEventListener(MouseEvent.MOUSE_MOVE,move_handler);
		stage.addEventListener(MouseEvent.MOUSE_UP,up_handler);
	}
	private function move_handler(e:MouseEvent):void {
		var angle:Number=Math.atan(Math.round(e.localY)/Math.round(e.localX))*180/Math.PI;
		if (e.localX<0) {
			angle+=180;
		}
		e.currentTarget.line.rotation=angle-15;
	}
	private function up_handler(e:MouseEvent):void {
		removeEventListener(MouseEvent.MOUSE_MOVE,move_handler);
	}
	public function controller_value():Number {
		return line.rotation/50;
	}
}